#
# spec file for package python-subprocess32
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
# Note: this package is python 2.x-only.
%define skip_python3 1
Name:           python-subprocess32
Version:        3.5.3
Release:        11.1
Summary:        A backport of the subprocess module from Python 3.2/3.3 for use on 2.x
License:        Python-2.0
Group:          Development/Languages/Python
URL:            https://github.com/google/python-subprocess32
Source:         https://files.pythonhosted.org/packages/source/s/subprocess32/subprocess32-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
%if 0%{?rhel} || 0%{?fedora}
BuildRequires:  python-test
%endif
BuildRequires:  python-rpm-macros
%python_subpackages

%description
This is a backport of the subprocess standard library module from
Python 3.2 & 3.3 for use on Python 2.

It includes bugfixes and some new features.  On POSIX systems it is
guaranteed to be reliable when used in threaded applications.
It includes timeout support from Python 3.3 but otherwise matches
3.2's API.  It has not been tested on Windows.

%prep
%setup -q -n subprocess32-%{version}

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install

%check
%python_exec setup.py test -v

%files %{python_files}
%license LICENSE
%doc ChangeLog README.md
%{python_sitearch}/_posixsubprocess32.so
%pycache_only %{python_sitearch}/__pycache__/*
%{python_sitearch}/subprocess32.py*
%{python_sitearch}/subprocess32-%{version}-py*.egg-info

%changelog
* Wed Jan  9 2019 jbrownell@suse.com
- Add dependency on python-test for Red Hat platforms to avoid build
  error "ImportError: No module named _testcapi"
* Fri Nov 16 2018 toddrme2178@gmail.com
- Update to 3.5.3
  * Disallow rediculiously large numbers (millions) of arguments.
- Update to 3.5.2
  * Explicitly include <signal.h> in _posixsubprocess_helpers.c; it already
    gets configure checked and pulled in via Python's own <Python.h> in many
    circumstances but it is better to be explicit.  #IWYU
    If you were using subprocess32 on a Python interpreter built *without*
    the --with-fpectl configure option enabled, restore_signals is now
    useful rather than a no-op.  I do not know if such builds were common.
  * Adds a functional test for restore_signals=True behavior.
* Wed Jun  6 2018 mcepl@suse.com
- Clean SPEC file
  - switched to py2k-only (the package is a backport of py3k
    functionality, so we don't want to promote its use in py3k-world).
  - switched on rather comprehensive tests.
  - upgrade to 3.5.1:
  - backport of functionality from all versions up to 3.5
  - a lot of bugfixes
    complete changelog is packaged as ChangeLog
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Sun Mar 26 2017 toddrme2178@gmail.com
- Initial version
